package com.dsk.cscec.domain.vo;

import com.dsk.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 成本汇总Bo
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryActualListVo extends BaseEntity {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 序号
     */
    private String number;
    /**
     * 名称/成本科目
     */
    private String cbName;
    /**
     * 不含税成本合价
     */
    private String taxExclusiveTotal;
    /**
     * 成本税金合价
     */
    private String cbTaxesTotal;
    /**
     * 含税成本合价
     */
    private String taxInclusiveTotal;
    /**
     * 成本占比
     */
    private String cbProportion;
    /**
     * 含税成本平米指标
     */
    private String taxInclusivePmTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 费用id
     */
    private Long actualId;
    /**
     * 本月费用（含税）
     */
    private BigDecimal taxInclusiveExpense;
    /**
     * 本月费用（不含税）
     */
    private BigDecimal taxExclusiveExpense;
    /**
     * 费用日期
     */
    private String expenseDate;
    /**
     * 是否锁定（0否，1是）
     */
    private Integer lockStatus;

    private List<CbSummaryActualListVo> children;
}
